import sys
import os
from PyQt5.QtWidgets import QApplication, QMainWindow, QHBoxLayout, QVBoxLayout, QWidget
from PyQt5.QtCore import Qt, QTimer
from PyQt5.QtGui import QIcon

from qt_widgets import MainWidget
from motion_app_qt import MotionComparisonAppQt

class MainWindow(QMainWindow):
    def __init__(self):
        super().__init__()
        self.setWindowTitle("🏃 动作比较与姿态分析系统")
        self.setGeometry(100, 100, 1400, 900)
        
        # Set application icon if available
        if os.path.exists("icon.ico"):
            self.setWindowIcon(QIcon("icon.ico"))
        
        # Create main widget
        self.main_widget = MainWidget()
        self.setCentralWidget(self.main_widget)
        
        # Apply dark theme styling
        self.setStyleSheet("""
            QMainWindow {
                background-color: #f0f2f6;
            }
            QWidget {
                font-family: "Segoe UI", Arial, sans-serif;
                font-size: 10pt;
            }
        """)

def main():
    app = QApplication(sys.argv)
    app.setStyle('Fusion')  # Modern look
    
    # Set application properties
    app.setApplicationName("Motion Comparison App")
    app.setApplicationVersion("1.0")
    
    window = MainWindow()
    window.show()
    
    sys.exit(app.exec_())

if __name__ == "__main__":
    main()
